from sys import exit

month = int(input("Inserisci il mese: "))
day = int(input("Inserisci il giorno: "))

if 1 <= month <= 3:
    mw = "Winter"
elif 4 <= month <= 6:
    mw = "Spring"
elif 7 <= month <= 9:
    mw = "Summer"
elif 10 <= month <= 12:
    mw = "Fall"
else:
    exit("Invalid month")

if month % 3 == 0 and day >= 21:
    if mw == "Winter":
        mw = "Spring"
    elif mw == "Spring":
        mw = "Summer"
    elif mw == "Summer":
        mw = "Fall"
    elif mw == "Fall":
        mw = "Winter"

print("La stagione è ", mw)